# proxadmin
web panel for proxmaster built with Flask

### setup db backend:
1. apt-get install postgresql postgresql-contrib libpq-dev
2. sudo -i -u postgres psql
3. create user proxadmin with password 'mypassword';
4. create database proxadmin owner proxadmin encoding 'utf-8';
 
### setup panel:

1. adduser proxadmin
2. cd /home/proxadmin
3. virtualenv -p python3 appserver 
4. cd appserver 
5. git clone git://github.com/kanaka/noVNC 
6. git clone https://deflax@bitbucket.org/deflax/proxmaster-panel.git 
7. source bin/activate 
8. cd proxmaster-panel/ ; pip install -r requirements.txt 
9. python3 manage.py db init ; python3 manage.py db migrate -m "init" ; python3 manage.py db upgrade ; python3 manage.py deploy
10. chmod +x /home/proxadmin/appserver/proxadmin/cronexec.sh
11. add "00 09 * * *     root    /home/proxadmin/appserver/proxadmin/cronexec.sh" to /etc/crontab

